## OAuth2 Proxy Config File
## https://github.com/oauth2-proxy/oauth2-proxy

## <addr>:<port> to listen on for HTTP/HTTPS clients
{% if oauth2_proxy_listen_https -%}
https_address = "{{ oauth2_proxy_listen_address }}"
{% else -%}
http_address = "{{ oauth2_proxy_listen_address }}"
{% endif -%}

## TLS Settings
{% if oauth2_proxy_listen_https -%}
tls_cert_file = "{{ oauth2_proxy_tls_cert_file }}"
tls_key_file = "{{ oauth2_proxy_tls_key_file }}"
{% endif -%}

## Are we running behind a reverse proxy? Will not accept headers like X-Real-Ip unless this is set.
# reverse_proxy = true

provider = "{{ oauth2_proxy_provider }}"
oidc_issuer_url = "{{ oauth2_proxy_issuer_url }}"
{% if oauth2_proxy_oidc_scope is defined and oauth2_proxy_oidc_scope != "" -%}
scope = "{{ oauth2_proxy_oidc_scope }}"
{% endif -%}
{% if oauth2_proxy_oidc_groups_claim is defined and oauth2_proxy_oidc_groups_claim != "" -%}
oidc_groups_claim = "{{ oauth2_proxy_oidc_groups_claim }}"
{% endif -%}
set_xauthrequest = true

## the OAuth Redirect URL.
# defaults to the "https://" + requested host header + "/oauth2/callback"
# redirect_url = "https://internalapp.yourcompany.com/oauth2/callback"
{% if oauth2_proxy_redirect_url is defined and oauth2_proxy_redirect_url != "" -%}
redirect_url = "{{ oauth2_proxy_redirect_url }}"
{% endif -%}

## the http url(s) of the upstream endpoint. If multiple, routing is based on path

upstreams = [
    {%- for upstream in oauth2_proxy_upstreams -%}
    "{{ upstream }}"{% if not loop.last %},{% endif %}
    {%- endfor -%}
]

{% if oauth2_proxy_allowed_groups is defined and oauth2_proxy_allowed_groups | length -%}
allowed_groups = [
    {%- for allowed_group in oauth2_proxy_allowed_groups -%}
    "{{ allowed_group }}"{% if not loop.last %},{% endif %}
    {%- endfor -%}
]
{% endif -%}

## Logging configuration
logging_filename = "{{ oauth2_proxy_log_dir }}/{{ oauth2_proxy_log_file }}"

## pass HTTP Basic Auth, X-Forwarded-User and X-Forwarded-Email information to upstream
pass_basic_auth = true
pass_user_headers = true
## pass the request Host Header to upstream
## when disabled the upstream Host is used as the Host Header
# pass_host_header = true

## Email Domains to allow authentication for (this authorizes any email on this domain)
## for more granular authorization use `authenticated_emails_file`
## To authorize any email addresses use "*"
email_domains = [
    {%- for domain in oauth2_proxy_email_domains -%}
    "{{ domain }}"{% if not loop.last %},{% endif %}
    {%- endfor -%}
]

## The OAuth Client ID, Secret
client_id = "{{ oauth2_proxy_client_id }}"
client_secret = "{{ oauth2_proxy_client_secret }}"

## Pass OAuth Access token to upstream via "X-Forwarded-Access-Token"
# pass_access_token = false

## Authenticated Email Addresses File (one email per line)
# authenticated_emails_file = ""

## Htpasswd File (optional)
## Additionally authenticate against a htpasswd file. Entries must be created with "htpasswd -B" for bcrypt encryption
## enabling exposes a username/login signin form
# htpasswd_file = ""

## Templates
## optional directory with custom sign_in.html and error.html
# custom_templates_dir = ""

## skip SSL checking for HTTPS requests
# ssl_insecure_skip_verify = false


## Cookie Settings
## Name     - the cookie name
## Secret   - the seed string for secure cookies; should be 16, 24, or 32 bytes
##            for use with an AES cipher when cookie_refresh or pass_access_token
##            is set
## Domain   - (optional) cookie domain to force cookies to (ie: .yourcompany.com)
## Expire   - (duration) expire timeframe for cookie
## Refresh  - (duration) refresh the cookie when duration has elapsed after cookie was initially set.
##            Should be less than cookie_expire; set to 0 to disable.
##            On refresh, OAuth token is re-validated.
##            (ie: 1h means tokens are refreshed on request 1hr+ after it was set)
## Secure   - secure cookies are only sent by the browser of a HTTPS connection (recommended)
## HttpOnly - httponly cookies are not readable by javascript (recommended)
# cookie_name = "_oauth2_proxy"
cookie_secret = "{{ oauth2_proxy_cookie_secret }}"
# cookie_domains = ""
# cookie_expire = "168h"
# cookie_refresh = ""
# cookie_secure = true
# cookie_httponly = true
